**Please describe the changes this PR makes and why it should be merged:**

<!--
Please move lines that apply to you out of the comment:
- Code changes have been fully tested, or there are no code changes
- This PR includes breaking changes (methods removed or renamed, parameters moved or removed)
- This PR **only** includes non-code changes, like changes to documentation, README, etc.
- I have linted this PR and it passes all tests
-->

<!--
Testing Checklist Template

If you are doing a big change, uncomment this.

- [ ] Ensure submitting Ban Appeals works.
- [ ] Ensure rejecting Ban Appeals works.
- [ ] Ensure accepting Ban Appeals works.
- [ ] Ensure webfront editing settings works as intended.
- [ ] `!bl` / `/info banlist`
- [ ] `!epoch`
- [ ] `!gl` / `/info guildlist`
- [ ] `!help`
- [ ] `!invite`
- [ ] `!membercount` / `/info membercount`
- [ ] `!ml` / `/info mutelist`
- [ ] `!ping` / `/info ping`
- [ ] `!sinfo` / `/info server`
- [ ] `!version` / `/botowner version`
- [ ] Ensure `/alloweddiscords list` returns a list of allowed discord servers, or a message saying there is none.
- [ ] Ensure `/alloweddiscords add` adds the discord server to the whitelist.
- [ ] Ensure `/alloweddiscords remove` removes the discord server from the whitelist.
- [ ] Ensure `/links list` returns a list of allowed links, or a message saying there is none.
- [ ] Ensure `/links add` adds the link to the whitelist.
- [ ] Ensure `/links remove` removes the link from the whitelist.
- [ ] Ensure `/autoban list` returns a list of auto banned phrases, or a message saying there is none.
- [ ] Ensure `/autoban add` adds the phrase to the blacklist.
- [ ] Ensure `/autoban remove` removes the phrase from the blacklist.
- [ ] Ensure `/autoreply list` returns a list of auto replied phrases, or a message saying there is none.
- [ ] Ensure `/autoreply add` adds the trigger and response to the appropriate list.
- [ ] Ensure `/autoreply remove` removes the trigger and response from the appropriate list.
- [ ] Ensure `/badword list` returns a list of bad words, or a message saying there is none.
- [ ] Ensure `/badword add` adds the word to the blacklist.
- [ ] Ensure `/badword remove` removes the word from the blacklist.
- [ ] Ensure `/ignoredm list` returns a list of ignored users, or a message saying there is none.
- [ ] Ensure `/ignoredm add` adds the word to the ignored users.
- [ ] Ensure `/ignoredm remove` removes the word from the ignored users.
- [ ] Ensure `/ban` (In Guild) works as intended, and that it sends them a DM if their DMs are open.
- [ ] Ensure `/ban` (Not In Guild) works as intended.
- [ ] Ensure `/clearhistory` removes every punishment from said user. Use `/lookup` to confirm.
- [ ] Ensure `/clearwarns` removes every warning from said user. Use `/lookup` to confirm.
- [ ] Ensure `/duration` changes a users punishments. Use `/lookup` to confirm.
- [ ] Ensure `/editcase` edits the case, and has the correct spacing.
- [ ] Ensure `/kick` works as intended.
- [ ] Ensure `/lockdown start` works as intended.
- [ ] Ensure `/lockdown end` works as intended.
- [ ] Ensure `/lookup` shows punishment information.
- [ ] Ensure `/lookup` (Hide punishments) works as intended.
- [ ] Ensure `/mute` (Perma) (In Guild) works as intended.
- [ ] Ensure `/mute` (Perma) (Not In Guild) works as intended.
- [ ] Ensure `/mute` (Temp) (In Guild) works as intended.
- [ ] Ensure `/mute` (Temp) (Not In Guild) works as intended.
- [ ] Ensure `/nick` works as intended.
- [ ] Ensure `/note add` works as intended.
- [ ] Ensure `/note remove` works as intended.
- [ ] Ensure `/prune amount` works as intended.
- [ ] Ensure `/prune user` works as intended.
- [ ] Ensure `/prune after` works as intended.
- [ ] Ensure `/slowmode start` works as intended.
- [ ] Ensure `/slowmode end` works as intended.
- [ ] Ensure `/softban` works as intended.
- [ ] Ensure `/unban` works as intended.
- [ ] Ensure `/unmute` works as intended.
- [ ] Ensure `/warn` works as intended.
- [ ] Ensure `/broadcast` works as intended.
- [ ] Ensure `/debug` treats you as a normal user. (Test with auto replies?)
- [ ] Ensure `/say` works (normal text, just image, multiple images, normal text + image, normal text + multiple images) as intended.
- [ ] Ensure `/edit` works as intended.
- [ ] Ensure `/embed` works as intended.
- [ ] Ensure `Apps > Translate` works as intended.
- [ ] Ensure `/botowner generateinvite` works as intended.
- [ ] Ensure `/respond` works as intended.
- [ ] Ensure `/pfp` works as intended. (Self & Other User)
- [ ] Ensure `/remindme` works as intended.
- [ ] Ensure `/sale` works as intended.
- [ ] Ensure `/schedule` works as intended.
- [ ] Ensure `/botowner senddm` works as intended.
- [ ] Ensure `/suggest` works as intended.
- [ ] Ensure `Apps > Report Message` works as intended.
- [ ] Ensure `Apps > User Information` works as intended.
- [ ] Ensure `/botowner banserver` works as intended.
- [ ] Ensure `/botowner unbanserver` works as intended.
- [ ] Ensure `/botowner version` works as intended.
- [ ] Ensure `/botowner purgename` works as intended.
- [ ] Ensure `/botowner printroles` works as intended.
- [ ] Ensure `/botowner printchannels` works as intended.
- [ ] Ensure `/botowner badnames` works as intended.
- [ ] Ensure `/rolepersist` works as intended.
- [ ] Ensure `/giveaway` works as intended.
- [ ] Ensure `/bootstrap` works as intended.
- [ ] Ensure `/selectroles` works as intended.
- [ ] Ensure `/ticket` works as intended.
- [ ] Ensure `/serverstats` works as intended.

-->
