import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { webfrontURL } = require(`../../../config.json`);

export default {
    name: `help`,
    aliases: [`h`, `commands`, `cmd`, `cmds`, `command`],
    async execute(message)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        message.channel.send(`${ global.locale[global.findLocale(message.guild.id)].helpText.replaceAll(`%webfrontURL%`, `${ webfrontURL }`) }`)
            .then((message) =>
            {
                setTimeout(() =>
                {
                    message.delete();
                }, 15_000);
            });
    }
};
