import { list, add, remove } from "../../commands/manipulation/allowed-discords.js";
import common from "../../../utils/common.js";

export default {
    name: `alloweddiscords`,
    aliases: [`ad`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = `list`; // default to list if no ourArguments

        if (ourArguments[0] !== `list` && !ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyDiscord }`);

        switch (ourArguments[0])
        {
            case `list`: {
                list(message, false, message.guild.id, Discord);
                break;
            }
            case `add`: {
                const invite = ourArguments[1];
                add(message, false, message.guild.id, invite, Discord, client);
                break;
            }
            case `remove`:
            case `delete`:
            case `del`:
            case `rm`: {
                const invite = ourArguments[1];
                remove(message, false, message.guild.id, invite, Discord, client);
                break;
            }
            // No default
        }
    }
};
