import { list, add, remove } from "../../commands/manipulation/allowed-links.js";
import common from "../../../utils/common.js";

export default {
    name: `links`,
    aliases: [`link`],
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = `list`; // default to list if no argument is given
        else if (ourArguments[0] !== `list` && !ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyLink }`);

        switch (ourArguments[0])
        {
            case `list`: {
                list(message, false, Discord);
                break;
            }
            case `add`: {
                const newLink = ourArguments[1].toLowerCase();
                add(message, false, message.guild.id, newLink);
                break;
            }
            case `remove`:
            case `delete`:
            case `del`:
            case `rm`: {
                const linkToRemove = ourArguments[1].toLowerCase();
                remove(message, false, message.guild.id, linkToRemove);
                break;
            }
            // No default
        }
    }
};
