import { list, add, remove } from "../../commands/manipulation/auto-replies.js";
import common from "../../../utils/common.js";

export default {
    name: `autoreply`,
    aliases: [`ar`],
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = `list`; // default to list if no ourArguments

        switch (ourArguments[0])
        {
            case `list`: {
                list(message, false, message.guild.id, Discord);
                break;
            }
            case `add`: {
                if (!ourArguments[1] || !ourArguments[2] || !ourArguments[3])
                    return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyResponse }`);

                if (ourArguments[1] === `true`)
                {
                    var trigger = message.content.split(`"`)[1];
                    var response = message.content.split(`"`)[3];
                    if (trigger.length > 1900 || response.length > 1900)
                        return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].shortenTrig }`);

                    add(message, false, message.guild.id, trigger, response, true);
                }
                else if (ourArguments[1] === `false`)
                {
                    var trigger = message.content.split(`"`)[1];
                    var response = message.content.split(`"`)[3];
                    if (trigger.length > 1900 || response.length > 1900)
                        return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].shortenTrig }`);

                    add(message, false, message.guild.id, trigger, response, false);
                }
                break;
            }
            case `remove`:
            case `delete`:
            case `del`:
            case `rm`: {
                if (!ourArguments[1] || !ourArguments[2])
                    return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyResponse }`);

                if (ourArguments[1] === `true`)
                {
                    var itemToSearchFor = message.content.split(`"`)[1];
                    remove(message, false, message.guild.id, itemToSearchFor, true);
                }
                else if (ourArguments[1] === `false`)
                {
                    var itemToSearchFor = message.content.split(`"`)[1];
                    remove(message, false, message.guild.id, itemToSearchFor, false);
                }
                break;
            }
            // No default
        }
    }
};
