import { list, add, remove } from "../../commands/manipulation/bad-words.js";
import common from "../../../utils/common.js";

export default {
    name: `badword`,
    aliases: [`badwords`, `banwords`, `banword`, `bannedword`, `bannedwords`],
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = `list`; // default to list if no ourArguments

        if (ourArguments[0] !== `list` && !ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyWord }`);

        switch (ourArguments[0])
        {
            case `list`: {
                list(message, false, Discord);
                break;
            }
            case `add`: {
                const newWord = ourArguments.slice(1).join(` `).toLowerCase();
                add(message, false, message.guild.id, newWord);
                break;
            }
            case `remove`:
            case `delete`:
            case `del`:
            case `rm`: {
                const searchKeyword = ourArguments.slice(1).join(` `).toLowerCase();
                remove(message, false, message.guild.id, searchKeyword);
                break;
            }
            // No default
        }
    }
};
