import { createRequire } from "node:module";
import { list, add, remove } from "../../commands/manipulation/ignore-dms.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `ignoredms`,
    aliases: [`ignoredm`, `blockdm`, `blockdms`, `ignore`],
    async execute(message, ourArguments, Discord)
    {
        if (!botOwnerID.includes(message.author.id)) // dev only cuz we're cool
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = `list`; // default to list if no ourArguments

        if (ourArguments[0] !== `list` && !ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyUserID }`);

        switch (ourArguments[0])
        {
            case `list`: {
                list(message, false, Discord);
                break;
            }
            case `add`: {
                const uid = ourArguments[1];
                add(message, false, uid);
                break;
            }
            case `remove`:
            case `delete`:
            case `del`:
            case `rm`: {
                const uid = ourArguments[1];
                remove(message, false, uid);
                break;
            }
            // No default
        }
    }
};
