import SQLite from "better-sqlite3";
import { createRequire } from "node:module";
import mentions from "../../../utils/mentions.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `clearhistory`,
    aliases: [`ch`],
    async execute(message, ourArguments)
    {
        if (!botOwnerID.includes(message.author.id)) // dev only
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        sql.prepare(`DELETE FROM punishments WHERE guildId = ${ message.guild.id } AND id = ${ id };`).run();
        sql.prepare(`DELETE FROM mutes WHERE guildId = ${ message.guild.id } AND userId = ${ id };`).run();
        sql.prepare(`DELETE FROM userNotes WHERE guildAndUserId = ?;`).run(`${ message.guild.id }_${ id }`);
    }
};
