import mentions from "../../../utils/mentions.js";
import common from "../../../utils/common.js";
import { clearWarns } from "../../commands/moderation/clearwarns.js";

export default {
    name: `clearwarn`,
    aliases: [`cw`, `clearwarns`, `warnclear`, `wc`, `warnsclear`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        // we don't need GuildMember for this, only their ID and to confirm they are a valid account
        const member = await client.users.fetch(id)
            .catch(() => message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noId }`));

        let reason = ourArguments.slice(1).join(` `);
        if (!reason || !ourArguments[1])
            reason = `${ global.locale[global.findLocale(message.guild.id)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);

        await clearWarns(client, Discord, message.guild.id, id, member, message.author.id, reason);
    }
};
