import mentions from "../../../utils/mentions.js";
import common from "../../../utils/common.js";
import { duration } from "../../commands/moderation/duration.js";

export default {
    name: `duration`,
    async execute(message, ourArguments)
    {
        if (!common.canRunCommand(message, `ManageRoles`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyDuration }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        const newDuration = ourArguments[1];
        let reason = ourArguments.slice(2).join(` `);
        if (!reason)
            reason = `${ global.locale[global.findLocale(message.guild.id)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);
        const time = await common.getEpoch(newDuration, true);
        if (time !== -1337)
            return duration(message, false, message.guild.id, id, message.author.id, time, newDuration, reason);
        return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badTimeUnit }`);
    }
};
