import mentions from "../../../utils/mentions.js";
import { editcase } from "../../commands/moderation/editcase.js";
import common from "../../../utils/common.js";

export default {
    name: `editcase`,
    aliases: [`ecase`],
    async execute(message, ourArguments)
    {
        if (!common.canRunCommand(message, `ManageRoles`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        if (!ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyCaseNumber }`);

        if (!ourArguments[2])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyReason }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        // if case id contains a period, strip it
        if (ourArguments[1].includes(`.`))
            ourArguments[1] = ourArguments[1].replace(`.`, ``);

        if (Number.isNaN(ourArguments[1]))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyCaseNumber }`);

        const caseId = ourArguments[1];
        const reason = ourArguments.slice(2).join(` `);

        await editcase(message, false, id, caseId, reason);
        message.channel.send(`${ global.locale[global.findLocale(message.guild.id)].caseInfo.replaceAll(`%caseID%`, `${ caseId }`).replaceAll(`%id%`, `${ id }`).replaceAll(`%reason%`, `${ reason }`) }`);
    }
};
