import { lockdown } from "../../commands/moderation/lockdown.js";
import common from "../../../utils/common.js";

export default {
    name: `lockdown`,
    aliases: [`lock`],
    async execute(message, ourArguments, Discord, client)
    {
        const { lockdownChannelIDs } = common.getGuildConfig(message.guild.id);

        if (!common.canRunCommand(message, `Administrator`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        let singleChannel = false;
        if (ourArguments[0].startsWith(`<#`) || (ourArguments.length > 1 && ourArguments[1].startsWith(`<#`)))
            singleChannel = true;

        if (!singleChannel && (!lockdownChannelIDs
            || lockdownChannelIDs.length === 0))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badLockDownConfig }`);

        if (ourArguments[0] !== `end`)
        {
            if (ourArguments[0].startsWith(`<#`))
            {
                var channelId = ourArguments[0].slice(2, -1);
                const reason = ourArguments.slice(1).join(` `);
                return lockdown(true, message, false, reason, Discord, client, channelId);
            }
            let reason = [...ourArguments].join(` `);
            if (reason.startsWith(`start`))
                reason = reason.replace(`start`, ``);
            return lockdown(true, message, false, reason, Discord, client);
        }
        if (ourArguments[0] === `end`)
        {
            if (ourArguments[1].startsWith(`<#`))
            {
                var channelId = ourArguments[1].slice(2, -1);
                const reason = ourArguments.slice(2).join(` `);
                return lockdown(false, message, false, reason, Discord, client, channelId);
            }
            const reason = ourArguments.slice(1).join(` `);
            return lockdown(false, message, false, reason, Discord, client);
        }
        return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].validSubCommand }`);
    }
};
