import { add, remove } from "../../commands/moderation/note.js";
import common from "../../../utils/common.js";
import mentions from "../../../utils/mentions.js";

export default {
    name: `note`,
    aliases: [`notes`],
    async execute(message, ourArguments)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noteSpecifyArgs }`);

        if (!ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyUser }`);

        var id = ourArguments[1];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(id);

        if (ourArguments[0] === `add`)
        {
            if (!ourArguments[2])
                return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyNote }`);
            const noteText = ourArguments.slice(2).join(` `);
            add(message, false, message.guild.id, id, message.author.id, noteText);
        }
        else if ((ourArguments[0] === `remove`) || ourArguments[0] === `delete` || ourArguments[0] === `del` || ourArguments[0] === `rm`)
        {
            if (!ourArguments[2])
                return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyNoteID }`);
            // if case id contains a period, strip it
            if (ourArguments[2].includes(`.`))
                ourArguments[2] = ourArguments[2].replace(`.`, ``);

            if (Number.isNaN(ourArguments[2]))
                return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badNoteID }`);

            const noteId = ourArguments[2];
            remove(message, false, message.guild.id, id, message.author.id, noteId);
        }
    }
};
