import mentions from "../../../utils/mentions.js";
import { user, amount, after } from "../../commands/moderation/prune.js";
import common from "../../../utils/common.js";

export default {
    name: `prune`,
    aliases: [`purge`, `p`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `ManageMessages`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (ourArguments[0] && /^\d+$/.test(ourArguments[0]))
        { // Prune X amount of messages
            const amountInt = Number.parseInt(ourArguments[0], 10);
            const reason = ourArguments.slice(1).join(` `);
            amount(message, false, amountInt, reason, message.author.id, client, Discord);
        }
        else if (ourArguments[0] && ourArguments[0][0] === `<`)
        { // Prune X amount of messages from a specific user
            var id = ourArguments[0];
            id = mentions.getUserFromMention(ourArguments[0]);
            const amount = ourArguments[1];
            const reason = ourArguments.slice(2).join(` `);
            user(message, false, id, amount, reason, message.author.id, client, Discord);
        }
        else if (ourArguments[0] && ourArguments[0] === `after`)
        {
            // Prune messages after a specific message
            var messageId = ourArguments[1];
            var reason = `No reason provided`;
            if (ourArguments[2])
                reason = ourArguments.slice(2).join(` `);
            after(message, false, messageId, reason, message.author.id, client, Discord);
        }
    }
};
