import { start, end } from "../../commands/moderation/slowmode.js";
import common from "../../../utils/common.js";

export default {
    name: `slowmode`,
    aliases: [`slow`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `ManageChannels`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifySlowTime }`);

        const friendlyTime = ourArguments[0]; // "1h" or whatever
        if (/^\d+[hms]$/.test(friendlyTime)) // we know its in the right format, and not a reason.
        {
            const reason = ourArguments.slice(1).join(` `);
            start(message, false, friendlyTime, message.author.id, message.channel.id, reason, Discord, client);
        }
        else
        { // we assume this to be a reason to remove slowmode?
            const reason = [...ourArguments].join(` `);
            end(message, false, message.author.id, message.channel.id, reason, Discord, client);
        }
    }
};
