import mentions from "../../../utils/mentions.js";
import common from "../../../utils/common.js";
import unban from "../../commands/moderation/unban.js";

export default {
    name: `unban`,
    aliases: [`ub`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `BanMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        let reason = ourArguments.slice(1).join(` `);
        if (!reason || !ourArguments[1])
            reason = `${ global.locale[global.findLocale(message.guild.id)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);
        const authorTag = message.author.tag;

        await unban.unbanUser(message, id, message.author.id, authorTag, reason, Discord, client);
    },
};
