import mentions from "../../../utils/mentions.js";
import unmute from "../../commands/moderation/unmute.js";
import common from "../../../utils/common.js";

export default {
    name: `unmute`,
    aliases: [`um`],
    async execute(message, ourArguments, Discord, client)
    {
        const { mutedRoleID } = common.getGuildConfig(message.guild.id);

        if (!common.canRunCommand(message, `ManageRoles`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if ((!mutedRoleID)
            || mutedRoleID.length < 10)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noMuteRole }`);

        const mutedRole = message.guild.roles.cache.get(mutedRoleID);
        if (!mutedRole)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badMuteRole }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        const reason = ourArguments.slice(1).join(` `);
        unmute.unmute(message, false, id, message.author.id, reason, client, Discord);
    }
};
