import mentions from "../../../utils/mentions.js";
import common from "../../../utils/common.js";
import warn from "../../commands/moderation/warn.js";

export default {
    name: `warn`,
    aliases: [`w`],

    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        let reason = ourArguments.slice(1).join(` `);
        if (!reason
            || !ourArguments[1])
            reason = `${ global.locale[global.findLocale(message.guild.id)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(id);

        await warn.warnUser(message, false, false, id, message.author.id, reason, undefined, Discord, client);
    }
};
