import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `broadcast`,
    async execute(message, ourArguments, Discord, client)
    {
        if (!botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noMessage }`);

        const messageToSend = ourArguments.join(` `);
        if (messageToSend.length > 2000)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].messageTooLong }`);

        const guilds = client.guilds.cache.map((guild) => guild.id);
        for (const guildId of guilds)
        {
            const guild = client.guilds.cache.get(guildId);
            const { auditChannelID } = common.getGuildConfig(guildId);

            if (auditChannelID)
            {
                const auditChannel = guild.channels.cache.get(auditChannelID);
                if (auditChannel)
                    auditChannel.send(messageToSend);
            }
        }
    }
};
