import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

const debugUsers = [];

export default {
    name: `debug`,
    async execute(message, ourArguments, Discord, client)
    {
        if (!botOwnerID.includes(message.author.id)) // dev only cuz we're cool
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        const { auditChannelID } = common.getGuildConfig(message.guild.id);

        if (!auditChannelID || auditChannelID.length < 10)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].debugBadSetup }`);

        const auditChannel = client.channels.cache.get(auditChannelID);

        // temp table for debugging
        if (!debugUsers.includes(message.author.id))
        {
            debugUsers.push(message.author.id);
            return auditChannel.send(`<@${ message.author.id }> ${ global.locale[global.findLocale(message.guild.id)].enabledDebug }`);
        }
        debugUsers.splice(debugUsers.indexOf(message.author.id), 1);
        auditChannel.send(`<@${ message.author.id }> ${ global.locale[global.findLocale(message.guild.id)].disabledDebug }`);
    },
    /**
     * @name isDebugUser
     * @description Checks if the user is in debug mode.
     * @param {string} id The ID of the user.
     * @returns {boolean} Whether or not the user is in debug mode.
     */
    isDebugUser(id)
    {
        if (debugUsers.includes(id))
            return true;
        return false;
    },
    debugUsers
};

