import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `edit`,
    aliases: [`e`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `Administrator`)
            && !botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].messageToEdit }`);

        if (!ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badEdit }`);

        const messageToEdit = ourArguments[0];
        const content = ourArguments.slice(1).join(` `);

        var message = await client.channels.cache.get(message.channel.id).messages.fetch(messageToEdit);
        if (!message)
            return;
        if (message.author.id === client.user.id && content.length <= 2000)
            message.edit(content);
    }
};
