import { createRequire } from "node:module";
import logging from "../../../utils/logging.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `generateinvite`,
    aliases: [`geninv`, `getinv`, `getinvite`, `geninvite`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!botOwnerID.includes(message.author.id)) // dev only cuz we're cool
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].specifyGuild }`);

        const guild = client.guilds.cache.get(ourArguments[0]);
        if (!guild)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noGuild.replaceAll(`%ourArgs%`, `${ ourArguments[0] }`) } `);

        // Find the first channel & make an invite link
        const channel = guild.channels.cache.find((c) => c.type === `GUILD_TEXT`);
        if (!channel)
            return message.channel.send(`<@!${ message.author.id }>,${ global.locale[global.findLocale(message.guild.id)].noTextChan.replaceAll(`%guildName%`, `${ guild.name }`) } `);

        const invite = await channel.createInvite({
            maxAge: 0,
            maxUses: 0
        }).catch((error) =>
        {
            logging.error(error);
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noInvite.replaceAll(`%guildName%`, `${ guild.name }`) }`);
        });

        return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission.replaceAll(`%guildName%`, `${ guild.name }`).replaceAll(`%invite%`, `${ invite.url }`) }`);
    }
};
