import SQLite from "better-sqlite3";
import common from "../../../utils/common.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `remindme`,
    aliases: [`remind`],
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        const Time = ourArguments[0];
        const messageToSend = ourArguments.slice(1).join(` `);
        if (messageToSend.length > 2000)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].messageTooLong }`);

        const time = await common.getEpoch(Time, true);
        if (time === -1337)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].badTimeUnit }`);

        // insert into db
        sql.prepare(`INSERT INTO scheduledmessages (guildId, channelId, time, content) VALUES (?, ?, ?, ?)`).run(message.guild.id, message.channel.id, time, `<@!${ message.author.id }>, ${ messageToSend }`);
        const embed = new Discord.EmbedBuilder()
            .setColor(`#00ff00`)
            .setTimestamp()
            .setAuthor({ name: `${ global.locale[global.findLocale(message.guild.id)].reminderScheduled }` })
            .setDescription(`${ global.locale[global.findLocale(message.guild.id)].reminderDescription.replaceAll(`%messageAuthorUsername%`, `${ message.author.username }`) } <t:${ Math.round(time / 1000) }:R> ${ global.locale[global.findLocale(message.guild.id)].reminderDescription2.replaceAll(`%messageToSend%`, `${ messageToSend }`) }`);
        message.channel.send({ embeds: [embed] });
    }
};
