import { createRequire } from "node:module";
import { say } from "../../commands/utility/say.js";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `say`,
    aliases: [`s`],
    async execute(message, ourArguments)
    {
        if (!common.canRunCommand(message, `Administrator`)
            && !botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (ourArguments.length === 0)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].sayError }`);

        const messageToSay = ourArguments.join(` `);
        if (message.type === `REPLY`) // reply w image + caption
            say(message, false, messageToSay, message.reference.messageId);
        else
            say(message, false, messageToSay);
    }
};
