import SQLite from "better-sqlite3";
import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const require = createRequire(import.meta.url);
const { botOwnerID, webfrontURL } = require(`../../../config.json`);

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `schedule`,
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `Administrator`)
            && !botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[2]) return message.channel.send(`${ global.locale[global.findLocale(message.guild.id)].seeWebfrontEpoch.replaceAll(`%webfrontURL%`, `${ webfrontURL }`) }`);

        const time = ourArguments[0];
        let channel = ourArguments[1];
        const messageToSend = ourArguments.slice(2).join(` `);
        if (channel.includes(`<#`))
            channel = channel.replace(/<#/g, ``).replace(/>/g, ``);
        if (messageToSend.length > 2000)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].messageTooLong }`);

        // if time is not just numbers
        if (!/^\d+$/.test(time))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].epochFormat.replaceAll(`%webfrontURL%`, `${ webfrontURL }`) }`);

        // insert into db
        sql.prepare(`INSERT INTO scheduledmessages (guildId, channelId, time, content) VALUES (?, ?, ?, ?)`).run(message.guild.id, channel, time, messageToSend);
        const embed = new Discord.EmbedBuilder()
            .setColor(`#00ff00`)
            .setTimestamp()
            .setAuthor({ name: `${ global.locale[global.findLocale(message.guild.id)].messageScheduled }` })
            .addFields([{ name: `${ global.locale[global.findLocale(message.guild.id)].channel }`, value: `<#${ channel }>`, inline: true }])
            .addFields([{ name: `${ global.locale[global.findLocale(message.guild.id)].time }`, value: `<t:${ time / 1000 }> (<t:${ time / 1000 }:R>)`, inline: true }])
            .addFields([{ name: `${ global.locale[global.findLocale(message.guild.id)].message }`, value: messageToSend, inline: true }]);
        message.channel.send({ embeds: [embed] });
    }
};
