import { createRequire } from "node:module";
import common from "../../../utils/common.js";
import { sendDm } from "../../commands/utility/send-dm.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `dm`,
    async execute(message, ourArguments, Discord, client)
    {
        if (!botOwnerID.includes(message.author.id)) // dev only cuz we're cool
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return;

        let messageToDm = ourArguments.slice(1).join(` `);
        messageToDm = common.truncateString(messageToDm, 1024);
        const user = await client.users.fetch(ourArguments[0]);

        await sendDm(message, false, messageToDm, user, Discord, client);
    }
};
