import common from "../../../utils/common.js";

export default {
    name: `suggest`,
    aliases: [`sg`],
    async execute(message, ourArguments, Discord, client)
    {
        const { suggestionChannelID } = common.getGuildConfig(message.guild.id);
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (ourArguments.length === 0)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noSuggestion }`);

        if (!suggestionChannelID
            || suggestionChannelID.length < 10)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].suggestionSetup }`);

        const votingChannel = client.channels.cache.get(suggestionChannelID);
        if (!votingChannel)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].invalidSugChan }`);
        const suggestion = ourArguments.join(` `);
        if (suggestion.length > 2000)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].sugTooLong }`);
        votingChannel.send(ourArguments.join(` `)).then((message) =>
        {
            message.react(`👍`);
            message.react(`👎`);
        });
    }
};
