import SQLite from "better-sqlite3";
import common from "../../../utils/common.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    membercount
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 */
export async function membercount(interactionOrMessage, isSlashCommand)
{
    const guildId = interactionOrMessage.guild.id;
    const guild = interactionOrMessage.guild;
    const memberCount = guild.memberCount;
    const memberCounts = await sql.prepare(`SELECT * FROM memberCounts WHERE guildId = ?`).get(guildId);
    const time = Date.now();
    if (memberCounts)
    {
        const oldCount = Math.round(memberCounts.count);
        const oldTime = memberCounts.time;
        let string = `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].memberCount1.replaceAll(`%guildName%`, `${ guild.name }`).replaceAll(`%memberCount%`, `${ memberCount }`) }\n`;
        if (oldCount > memberCount)
            string += `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].memberCount2.replaceAll(`%dec%`, `${ oldCount - memberCount }`) }`;
        else if (oldCount < memberCount)
            string += `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].memberCount3.replaceAll(`%inc%`, `${ memberCount - oldCount }`) }`;
        if (oldCount !== memberCount)
            string += ` from <t:${ Math.round(oldTime / 1000) }:R>`;
        common.sendInteractionOrMessage(interactionOrMessage, { content: string }, isSlashCommand);
        await sql.prepare(`INSERT OR REPLACE INTO memberCounts (guildId, count, time) VALUES (?, ?, ?);`).run(guildId, memberCount, time);
    }
    else
    {
        const string = `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].memberCount1.replaceAll(`%guildName%`, `${ guild.name }`).replaceAll(`%memberCount%`, `${ memberCount }`) }`;
        await sql.prepare(`INSERT INTO memberCounts (guildId, count, time) VALUES (?, ?, ?);`).run(guildId, memberCount, time);
        common.sendInteractionOrMessage(interactionOrMessage, { content: string }, isSlashCommand);
    }
}
