import SQLite from "better-sqlite3";
import common from "../../../utils/common.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    mutelist
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 */
export async function mutelist(interactionOrMessage, isSlashCommand)
{
    const guildId = interactionOrMessage.guild.id;
    const totalMutes = sql.prepare(`SELECT COUNT(*) count FROM mutes WHERE guildId = ?`).get(guildId);
    const totalMutesCount = totalMutes.count;

    const temporaryMutes = sql.prepare(`SELECT COUNT(*) count FROM mutes WHERE guildId = ? AND time > 1`).get(guildId);
    const temporaryMutesCount = temporaryMutes.count;

    const permMutes = sql.prepare(`SELECT COUNT(*) count FROM mutes WHERE guildId = ? AND time < 0`).get(guildId);
    const permMutesCount = permMutes.count;

    const message = `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].amountOfMutes.replaceAll(`%totalMutesCount%`, `${ totalMutesCount }`).replaceAll(`%temporaryMutesCount%`, `${ temporaryMutesCount }`).replaceAll(`%permMutesCount%`, `${ permMutesCount }`) }`;
    common.sendInteractionOrMessage(interactionOrMessage, { content: message }, isSlashCommand);
}
