import common from "../../../utils/common.js";

export default {
    ping
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 * @param {*} client The client.
 */
export async function ping(interactionOrMessage, isSlashCommand, client)
{
    const ping = `${ Date.now() - interactionOrMessage.createdTimestamp }ms.`;
    const apiPing = `${ Math.round(client.ws.ping) }ms.`;
    const message = `🏓 ${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].latencyIs } ${ ping } ${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].api } ${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].latencyIs } ${ apiPing }`;
    common.sendInteractionOrMessage(interactionOrMessage, { content: message }, isSlashCommand);
}
