import common from "../../../utils/common.js";

export default {
    serverinfo
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 * @param {Discord.Guild} guild The guild.
 * @param {Discord} Discord The Discord object.
 */
export async function serverinfo(interactionOrMessage, isSlashCommand, guild, Discord)
{
    var owner = await guild.fetchOwner();
    const embed = new Discord.EmbedBuilder()
        .setColor(`#0e9af9`)
        .setTimestamp()
        .setAuthor({ name: `🔎 (${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].serverInfo })` })
        .setThumbnail(guild.iconURL())
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].serverName }`, value: `${ guild.name } (${ guild.id })`, inline: false }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].owner }`, value: `${ owner.user.tag } (${ owner.user.id })`, inline: false }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].memberCount }`, value: `${ guild.memberCount }`, inline: true }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].channelCount }`, value: `${ guild.channels.cache.size }`, inline: true }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].roleCount }`, value: `${ guild.roles.cache.size }`, inline: true }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].emojiCount }`, value: `${ guild.emojis.cache.size }`, inline: true }])
        .addFields([{ name: `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].createdOn }`, value: `<t:${ Math.round(guild.createdTimestamp / 1000) }>`, inline: true }]);
    common.sendInteractionOrMessage(interactionOrMessage, { embeds: [embed] }, isSlashCommand);
}
