import SQLite from "better-sqlite3";
import common from "../../../utils/common.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    editcase
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 * @param {string} targetId The ID of the user to edit.
 * @param {number} caseId The case ID.
 * @param {string} newReason The new reason.
 */
export async function editcase(interactionOrMessage, isSlashCommand, targetId, caseId, newReason)
{
    caseId -= 1;
    var caseInfo = sql.prepare(`SELECT * FROM punishments WHERE guildId = ? AND id = ?`).get(interactionOrMessage.guild.id, targetId);
    if (!caseInfo)
    {
        return common.sendInteractionOrMessage(interactionOrMessage, {
            content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].userHasNoCases
        }, isSlashCommand);
    }
    var punishmentreason = JSON.parse(caseInfo.punishmentreason);
    if (!punishmentreason[caseId])
    {
        return common.sendInteractionOrMessage(interactionOrMessage, {
            content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].caseDoesNotExist
        }, isSlashCommand);
    }
    let reason = punishmentreason[caseId].split(` `)[0]; // Grab up to the first space (preserves emoji)
    reason += ` ${ newReason }`; // Add (technically replace) the existing reason
    reason = common.truncateString(reason, 256);
    punishmentreason[caseId] = reason;
    punishmentreason = JSON.stringify(punishmentreason);
    sql.prepare(`UPDATE punishments SET punishmentreason = ? WHERE guildId = ? AND id = ?`).run(punishmentreason, interactionOrMessage.guild.id, targetId);
}
