import fetch from "node-fetch";
import common from "../../../utils/common.js";

export default {
    en
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 * @param {string} sourceText The source text.
 */
export async function en(interactionOrMessage, isSlashCommand, sourceText)
{
    const guildId = interactionOrMessage.guild.id;
    const { DeepLAPIKey } = common.getGuildConfig(guildId);

    const url = `https://api-free.deepl.com/v2/translate?text=${ encodeURIComponent(sourceText) }&target_lang=en&auth_key=${ DeepLAPIKey }`;
    // call the url
    try
    {
        fetch(url)
            .then((result) => result.json())
            .then((json) =>
            {
                if (json.translations[0].text)
                {
                    if (json.translations[0].detected_source_language.toLowerCase() === `en`)
                    {
                        common.sendInteractionOrMessage(interactionOrMessage, {
                            content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].alreadyInEnglish
                        }, isSlashCommand);
                    }
                    else
                    {
                        const sourceString = `:flag_${ json.translations[0].detected_source_language.toLowerCase() }: ${ sourceText }`;
                        const destinationString = `:flag_us: ${ json.translations[0].text }`;
                        if (sourceString.length + destinationString.length < 2000)
                        {
                            common.sendInteractionOrMessage(interactionOrMessage, {
                                content: `${ sourceString }\n${ destinationString }`
                            }, isSlashCommand);
                        }
                        else if (destinationString.length < 2000)
                        {
                            common.sendInteractionOrMessage(interactionOrMessage, {
                                content: destinationString
                            }, isSlashCommand);
                        }
                        else
                        {
                            common.sendInteractionOrMessage(interactionOrMessage, {
                                content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].messageTooLongToTranslate
                            }, isSlashCommand);
                        }
                    }
                }
                else
                {
                    common.sendInteractionOrMessage(interactionOrMessage, {
                        content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].translationError
                    }, isSlashCommand);
                }
            });
    }
    catch
    {
        common.sendInteractionOrMessage(interactionOrMessage, {
            content: global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].translationError
        }, isSlashCommand);
    }
}
