import { ApplicationCommandType } from "discord.js";
import { en } from "../../commands/utility/en.js";
import common from "../../../utils/common.js";

export default {
    name: `Translate to English`,
    defaultMemberPermissions: [`KickMembers`],
    type: ApplicationCommandType.Message,

    async execute(interaction)
    {
        await interaction.deferReply({ ephemeral: true });

        const guildId = interaction.guild.id;
        const { DeepLAPIKey } = common.getGuildConfig(guildId);

        if (!DeepLAPIKey)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].deeplNoKey }`);

        const sourceText = interaction.targetMessage.content;
        await en(interaction, true, sourceText);
    }
};
