import { ApplicationCommandType } from "discord.js";
import common from "../../../utils/common.js";

export default {
    name: `Report`,
    defaultMemberPermissions: [`SendMessages`],
    type: ApplicationCommandType.Message,

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const guildId = interaction.guild.id;
        const { auditChannelID } = common.getGuildConfig(guildId);
        if (!auditChannelID || auditChannelID.length < 10)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noAuditChannel }`);
        const auditChannel = client.channels.cache.get(auditChannelID);
        if (!auditChannel)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noAuditChannel }`);

        const { targetMessage, user, locale } = interaction;
        const {
            author, id, guild, channel
        } = targetMessage;
        let { content } = targetMessage;

        content = common.truncateString(content, 750);

        const embed = new Discord.EmbedBuilder()
            .setColor(`RED`)
            .setTimestamp()
            .setAuthor({ name: `${ global.locale[global.findLocale(interaction.guild.id)].messageReportedBy } ${ user.tag } (${ user.id })` })
            .setDescription(`\`\`\`${ content }\`\`\`\n[${ global.locale[global.findLocale(interaction.guild.id)].jumpToMessage }](https://discord.com/channels/${ guild.id }/${ channel.id }/${ id })\n\n${ global.locale[global.findLocale(interaction.guild.id)].messageAuthor }: <@!${ author.id }> (${ author.id })`);
        auditChannel.send({ embeds: [embed] });
        return interaction.followUp(`${ global.locale[global.findLocale(guildId, locale)].reportedMessage }`);
    }
};
