import { fileURLToPath } from "node:url";
import { createRequire } from "node:module";
import common from "../../../utils/common.js";

const dirname = fileURLToPath(new URL(`.`, import.meta.url));

const name = `botowner`;
const options = [];

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

await common.loadSubSC(dirname, name, options);

export default {
    name,
    description: `Bot Owner Commands`,
    defaultMemberPermissions: [`KickMembers`],
    options,

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        if (!botOwnerID.includes(interaction.user.id)) // dev only
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noPermission }`);

        // sort through our subcommands and run the callback
        for (const option of options)
        {
            if (option.name === interaction.options.getSubcommand())
            {
                option.callback(interaction, client, Discord);
                break;
            }
        }
    }
};
