import SQLite from "better-sqlite3";
import { ApplicationCommandOptionType } from "discord.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `banserver`,
    description: `Bans a server from using this bot.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `guildid`,
            description: `The ID of the guild to ban.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction, client)
    {
        // Get the guild ID
        const guildId = interaction.options.getString(`guildid`);
        const inDatabase = sql.prepare(`SELECT * FROM bannedServers WHERE guildId = ?;`).get(guildId);
        if (inDatabase)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].guildBanAlreadyBanned }`);
        sql.prepare(`INSERT INTO bannedServers (guildId) VALUES (?);`).run(guildId);
        // See if bot is in guild
        const guild = client.guilds.cache.get(guildId);
        if (guild)
            await guild.leave();
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].guildBanSuccess.replaceAll(`%guildId%`, `${ guildId }`) }`);
    }
};
