import { ApplicationCommandOptionType } from "discord.js";
import SQLite from "better-sqlite3";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `clearhistory`,
    description: `Clear punishment history for a user.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `user`,
            description: `Which user?`,
            type: ApplicationCommandOptionType.User,
            required: true,
        }
    ],

    async callback(interaction)
    {
        const user = interaction.options.getUser(`user`);
        sql.prepare(`DELETE FROM punishments WHERE guildId = ${ interaction.guild.id } AND id = ${ user.id };`).run();
        sql.prepare(`DELETE FROM mutes WHERE guildId = ${ interaction.guild.id } AND userId = ${ user.id };`).run();
        sql.prepare(`DELETE FROM userNotes WHERE guildAndUserId = ?;`).run(`${ interaction.guild.id }_${ user.id }`);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].clearedHistory } <@!${ user.id }>`);
    }
};
