import { ApplicationCommandOptionType } from "discord.js";
import { list, add, remove } from "../../../commands/manipulation/ignore-dms.js";

export default {
    name: `ignoredms`,
    description: `Ignore DMs from a user.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `type`,
            description: `What do you want to do?`,
            type: ApplicationCommandOptionType.String,
            choices: [
                {
                    name: `Add`,
                    value: `add`
                },
                {
                    name: `Remove`,
                    value: `remove`
                },
                {
                    name: `List`,
                    value: `list`
                },
            ],
            required: true
        },
        {
            name: `user`,
            description: `The user to add/remove.`,
            type: ApplicationCommandOptionType.User,
            required: false
        },
    ],

    async callback(interaction, client, Discord)
    {
        const type = interaction.options.getString(`type`);
        const user = interaction.options.getUser(`user`);
        if (type === `add` && user)
            return add(interaction, true, user.id);
        if (type === `remove` && user)
            return remove(interaction, true, user.id);
        if (type === `list`)
            return list(interaction, true, Discord);
        return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].missingUser }`);
    }
};
