import { ApplicationCommandOptionType } from "discord.js";
import st from "string-table";

export default {
    name: `printchannels`,
    description: `Print channels of specified guild.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `guildid`,
            description: `ID of guild`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction, client, Discord)
    {
        const guildid = interaction.options.getString(`guildid`);
        const guild = client.guilds.cache.get(guildid);
        const channels = guild.channels.cache.filter((ch) => ch.type !== `GUILD_CATEGORY`);

        const data = [];
        for (const channel of channels)
        {
            data.push({
                name: channel[1].name
            });
        }

        const string = `\`\`\`${ st.create(data) }\n\`\`\``;
        if (string.length < 2000)
            interaction.followUp(string);
        else
        {
            // send message as attachment
            const attachment = new Discord.AttachmentBuilder(Buffer.from(string), { name: `guildlist.txt` });
            interaction.followUp({
                files: [attachment]
            });
        }
    }
};
