import { ApplicationCommandOptionType } from "discord.js";
import st from "string-table";

export default {
    name: `printroles`,
    description: `Print roles of specified guild.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `guildid`,
            description: `ID of guild`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction, client, Discord)
    {
        const guildid = interaction.options.getString(`guildid`);
        const guild = client.guilds.cache.get(guildid);
        const roles = guild.roles.cache.filter((role) => !role.managed);

        const data = [];
        for (const role of roles)
        {
            data.push({
                name: role[1].name,
                id: role[1].id
            });
        }

        const string = `\`\`\`${ st.create(data) }\n\`\`\``;
        if (string.length < 2000)
            interaction.followUp(string);
        else
        {
            // send message as attachment
            const attachment = new Discord.AttachmentBuilder(Buffer.from(string), { name: `guildlist.txt` });
            interaction.followUp({
                files: [attachment]
            });
        }
    }
};
