import { ApplicationCommandOptionType } from "discord.js";

export default {
    name: `purgename`,
    description: `Ban ALL users with matching name.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `username`,
            description: `Username to target`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction)
    {
        const user = interaction.options.getString(`username`);

        const members = await interaction.guild.members.fetch({ force: true });
        for (const member of members)
        {
            const memberObject = member[1];
            if (memberObject.user.username.includes(user))
                memberObject.ban({ reason: `Caught in purge name with alias "${ user }"` });
        }

        interaction.followUp(`done`);
    }
};
