import { ApplicationCommandOptionType } from "discord.js";
import common from "../../../../utils/common.js";
import { sendDm } from "../../../commands/utility/send-dm.js";

export default {
    name: `senddm`,
    description: `Sends a DM to a user.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `user`,
            description: `Which user to DM.`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `message`,
            description: `Message to send. Use \\n to add a new line.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction, client, Discord)
    {
        const user = interaction.options.getUser(`user`);
        let message = interaction.options.getString(`message`);
        message = message.replace(/\\n/g, `\n`);
        message = common.truncateString(message, 1024);

        await sendDm(interaction, true, message, user, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
