import { ApplicationCommandOptionType } from "discord.js";
import SQLite from "better-sqlite3";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `unbanserver`,
    description: `Unbans a server from using this bot.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `guildid`,
            description: `The ID of the guild to unban.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction)
    {
        // Get the guild ID
        const guildId = interaction.options.getString(`guildid`);
        const inDatabase = sql.prepare(`SELECT * FROM bannedServers WHERE guildId = ?;`).get(guildId);
        if (!inDatabase)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
        sql.prepare(`DELETE FROM bannedServers WHERE guildId = ?;`).run(guildId);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
