import { ApplicationCommandOptionType } from "discord.js";
import { serverinfo } from "../../../commands/informational/serverinfo.js";

export default {
    name: `server`,
    description: `Lookup information about the current server`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `id`,
            description: `Guild ID to lookup.`,
            type: ApplicationCommandOptionType.String,
            required: false
        }
    ],

    async callback(interaction, client, Discord)
    {
        // If they filled out id, grab it
        const guildId = await interaction.options.getString(`id`);
        if (guildId)
            var guild = client.guilds.cache.get(guildId);
        else
            var guild = client.guilds.cache.get(interaction.guild.id);

        serverinfo(interaction, true, guild, Discord);
    }
};
