import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/manipulation/auto-replies.js";

export default {
    name: `add`,
    description: `Add autoreplies`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `type`,
            description: `What type of autoreply to add`,
            type: ApplicationCommandOptionType.String,
            choices: [
                {
                    name: `Non-Regional`,
                    value: `non-regional`
                },
                {
                    name: `Regional`,
                    value: `regional`
                }
            ],
            required: true
        },
        {
            name: `trigger`,
            description: `Which words should trigger your new response`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `response`,
            description: `What to response to your new trigger`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        const type = interaction.options.getString(`type`);
        let trigger = interaction.options.getString(`trigger`);
        if (trigger)
            trigger = trigger.toLowerCase();
        const response = interaction.options.getString(`response`);

        if (trigger.length > 1900 || response.length > 1900)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].triggerOrResponseTooLong }`);

        if (type === `regional`)
            add(interaction, true, interaction.guild.id, trigger, response, true);
        else
            add(interaction, true, interaction.guild.id, trigger, response, false);
    }
};
