import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/manipulation/auto-replies.js";

export default {
    name: `remove`,
    description: `Remove autoreplies`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `type`,
            description: `Type of the autoreply to remove`,
            type: ApplicationCommandOptionType.String,
            choices: [
                {
                    name: `Non-Regional`,
                    value: `non-regional`
                },
                {
                    name: `Regional`,
                    value: `regional`
                }
            ],
            required: true
        },
        {
            name: `response`,
            description: `Which response to remove`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        const type = interaction.options.getString(`type`);
        let response = interaction.options.getString(`response`);
        response = response.toLowerCase();

        if (type === `regional`)
            remove(interaction, true, interaction.guild.id, response, true);
        else
            remove(interaction, true, interaction.guild.id, response, false);
    }
};
