import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/manipulation/allowed-links.js";

export default {
    name: `add`,
    description: `Add a link to the list. NOTE: Adding a * allows any link to be sent in allow mode.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `link`,
            description: `Which link to add to the list`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let link = interaction.options.getString(`link`);
        if (link)
            link = link.toLowerCase();

        add(interaction, true, interaction.guild.id, link);
    }
};
