import SQLite from "better-sqlite3";
import { ApplicationCommandOptionType } from "discord.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `add`,
    description: `Add a bad name`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `name`,
            description: `Which bad name to add`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let badName = interaction.options.getString(`name`);
        if (badName)
            badName = badName.toLowerCase();

        try
        {
            sql.prepare(`INSERT INTO badNames (guildId, name) VALUES (?, ?)`).run(interaction.guild.id, badName);
        }
        catch (error)
        {
            return console.error(error);
        }

        interaction.reply(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].badNameAdded } \`${ badName }\``);
    }
};
