import SQLite from "better-sqlite3";
import { ApplicationCommandOptionType } from "discord.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `list`,
    description: `List bad names`,
    type: ApplicationCommandOptionType.Subcommand,

    async callback(interaction, client, Discord)
    {
        const badNamesH = sql.prepare(`SELECT name FROM badNames WHERE guildId = ${ interaction.guild.id }`).raw().all();
        const badNames = badNamesH.flat();

        if (badNames.length === 0)
            return interaction.reply(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noBadNames }`);

        let string = `${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].badNames } \`${ badNames.join(`\`, \``) }\``;
        if (string.length < 2000)
            interaction.reply(string);
        else
        {
            string = `${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].badNames } \n${ badNames.join(`\n`) }`;
            // send message as attachment
            const attachment = new Discord.AttachmentBuilder(Buffer.from(string), { name: `bad-names.txt` });
            interaction.reply({
                files: [attachment]
            });
        }
    }
};
