import { ApplicationCommandOptionType } from "discord.js";
import common from "../../../utils/common.js";
import { duration } from "../../commands/moderation/duration.js";

export default {
    name: `duration`,
    description: `Edit a punishment time.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `new-duration`,
            description: `Duration? (can be 1d or 1h30m. valid times: y, mo, w, d, h, m, s)`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `reason`,
            description: `Reason for changing punishment duration.`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async execute(interaction)
    {
        await interaction.deferReply();

        const user = interaction.options.getUser(`user`);
        const newDuration = interaction.options.getString(`new-duration`);
        let reason = interaction.options.getString(`reason`);
        if (!reason)
            reason = `${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);
        const time = await common.getEpoch(newDuration, true);
        if (time !== -1337)
            return duration(interaction, true, interaction.guild.id, user.id, interaction.user.id, time, newDuration, reason);
        return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].badTimeUnit }`);
    }
};
