import { ApplicationCommandOptionType } from "discord.js";
import { editcase } from "../../commands/moderation/editcase.js";

export default {
    name: `editcase`,
    description: `Edit punishment cases`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `case-id`,
            description: `Which case ID`,
            type: ApplicationCommandOptionType.Number,
            required: true
        },
        {
            name: `reason`,
            description: `New reason`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async execute(interaction)
    {
        await interaction.deferReply();

        const user = interaction.options.getUser(`user`);
        const caseId = interaction.options.getNumber(`case-id`);
        const reason = interaction.options.getString(`reason`);
        editcase(interaction, true, user.id, caseId, reason);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id)].caseInfo.replaceAll(`%caseID%`, `${ caseId }`).replaceAll(`%id%`, `${ user.id }`).replaceAll(`%reason%`, `${ reason }`) }`);
    }
};
