import { ApplicationCommandOptionType } from "discord.js";
import { kick } from "../../commands/moderation/kick.js";

export default {
    name: `kick`,
    description: `Kick a user from this server`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user to kick. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `reason`,
            description: `For which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);
        const reason = interaction.options.getString(`reason`);
        kick(interaction, true, user.id, interaction.user.id, reason, Discord, client);
    }
};
