import { fileURLToPath } from "node:url";
import common from "../../../utils/common.js";

const dirname = fileURLToPath(new URL(`.`, import.meta.url));

const name = `lockdown`;
const options = [];

await common.loadSubSC(dirname, name, options);

export default {
    name,
    description: `Handle channel lockdowns`,
    defaultMemberPermissions: [`Administrator`],
    options,

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        // sort through our subcommands and run the callback
        for (const option of options)
        {
            if (option.name === interaction.options.getSubcommand())
            {
                option.callback(interaction, client, Discord);
                break;
            }
        }
    }
};
