import { ApplicationCommandOptionType, ChannelType } from "discord.js";
import { lockdown } from "../../../commands/moderation/lockdown.js";
import common from "../../../../utils/common.js";

export default {
    name: `end`,
    description: `Unlocks all channels again`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `reason`,
            description: `For which reason`,
            type: ApplicationCommandOptionType.String,
            required: true,
        },
        {
            name: `channelid`,
            description: `If you just want to unlock one channel, mention it here.`,
            type: ApplicationCommandOptionType.Channel,
            channelTypes: [ChannelType.GuildText],
            required: false,
        },
    ],

    async callback(interaction, client, Discord)
    {
        const guildId = interaction.guild.id;
        const { lockdownChannelIDs } = common.getGuildConfig(guildId);

        const reason = interaction.options.getString(`reason`);
        let channelId = interaction.options.getChannel(`channelid`) || false;
        channelId = channelId ? channelId.id : false;

        if (!channelId && (!lockdownChannelIDs
            || lockdownChannelIDs.length === 0
            || !lockdownChannelIDs.includes(interaction.channel.id)))
            return interaction.followUp(`<@!${ interaction.user.id }>, ${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].badLockDownConfig }`);

        lockdown(false, interaction, true, reason, Discord, client, channelId);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
