import { ApplicationCommandOptionType } from "discord.js";
import lookup from "../../commands/moderation/lookup.js";

export default {
    name: `lookup`,
    description: `Lookup information about a user.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user to lookup`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `hide-punishment-info`,
            description: `Hide punishment info?`,
            type: ApplicationCommandOptionType.Boolean,
            required: false
        }
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply();

        if (interaction.options.getBoolean(`hide-punishment-info`) === true)
            var isPublic = true;
        else
            var isPublic = false;

        const user = interaction.options.getUser(`user`);
        const userId = user.id;
        const guildId = interaction.guild.id;
        const isSlashCommand = true;
        return lookup.lookup(Discord, client, userId, guildId, isPublic, isSlashCommand, interaction);
    }
};
