import { ApplicationCommandOptionType } from "discord.js";
import { nick } from "../../commands/moderation/nick.js";

export default {
    name: `nick`,
    description: `Change a users nickname.`,
    defaultMemberPermissions: [`ManageNicknames`],
    options: [
        {
            name: `user`,
            description: `User to nickname. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `nickname`,
            description: `New nickname`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);
        const newName = interaction.options.getString(`nickname`);

        nick(interaction, true, user.id, newName, interaction.user.id, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
