import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/moderation/note.js";

export default {
    name: `add`,
    description: `Add a note to a user.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `user`,
            description: `Which user?`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `note`,
            description: `What do you want the note to say? Use \\n to break lines.`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        const user = interaction.options.getUser(`user`);
        let note = interaction.options.getString(`note`);
        note = note.replace(/\\n/g, `\n`);
        add(interaction, true, interaction.guild.id, user.id, interaction.user.id, note);
    }
};
