import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/moderation/note.js";

export default {
    name: `remove`,
    description: `Remove a note from a user.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `user`,
            description: `Which user to remove a note from`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `note-id`,
            description: `Which note ID to remove`,
            type: ApplicationCommandOptionType.Number,
            required: true
        }
    ],

    async callback(interaction)
    {
        const user = interaction.options.getUser(`user`);
        const noteId = interaction.options.getNumber(`note-id`);
        remove(interaction, true, interaction.guild.id, user.id, interaction.user.id, noteId);
    }
};
