import { ApplicationCommandOptionType } from "discord.js";
import { user } from "../../../commands/moderation/prune.js";

export default {
    name: `user`,
    description: `Clear x amount of messages for a specific user`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `user`,
            description: `Which user. NOTE: This can also be an ID.`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `amount`,
            description: `Amount of messages to be deleted`,
            type: ApplicationCommandOptionType.Integer,
            minValue: 1,
            maxValue: 100,
            required: true
        },
        {
            name: `reason`,
            description: `Which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async callback(interaction, client, Discord)
    {
        const userInteraction = interaction.options.getUser(`user`);
        const amount = interaction.options.getInteger(`amount`);
        const reason = interaction.options.getString(`reason`);

        user(interaction, true, userInteraction.id, amount, reason, interaction.user.id, client, Discord);
    }
};
