import { ApplicationCommandOptionType } from "discord.js";
import { start } from "../../../commands/moderation/slowmode.js";

export default {
    name: `start`,
    description: `Enables slowmode in this channel`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `time`,
            description: `Duration of the slowmode. (10s, 10m, 6h)`,
            type: ApplicationCommandOptionType.String,
            required: true,
        },
        {
            name: `reason`,
            description: `For which reason`,
            type: ApplicationCommandOptionType.String,
            required: false,
        },
    ],

    async callback(interaction, client, Discord)
    {
        const friendlyTime = interaction.options.getString(`time`); // "1h" or whatever
        const reason = interaction.options.getString(`reason`);
        start(interaction, true, friendlyTime, interaction.user.id, interaction.channel.id, reason, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
