import { ApplicationCommandOptionType } from "discord.js";
import common from "../../../utils/common.js";
import unban from "../../commands/moderation/unban.js";

export default {
    name: `unban`,
    description: `Unban a user from this server`,
    defaultMemberPermissions: [`BanMembers`],
    options: [
        {
            name: `user`,
            description: `User to unban. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `reason`,
            description: `Which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        }
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);

        let reason = interaction.options.getString(`reason`);
        if (!reason)
            reason = `${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);

        const authorTag = interaction.user.tag;

        await unban.unbanUser(interaction, user.id, interaction.user.id, authorTag, reason, Discord, client)
            .then(interaction.followUp(`${ user.tag } ${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].hasBeenUnbanned }`));
    },
};
