import { ApplicationCommandOptionType } from "discord.js";
import common from "../../../utils/common.js";
import warn from "../../commands/moderation/warn.js";

export default {
    name: `warn`,
    description: `Warns a user`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user to warn. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `reason`,
            description: `For which reason? **This is shown to the user.**`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);

        let reason = interaction.options.getString(`reason`);
        if (!reason)
            reason = `${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].noReasonSpecified }`;
        reason = common.truncateString(reason, 256);

        await warn.warnUser(interaction, false, true, user.id, interaction.user.id, reason, undefined, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
