import { ApplicationCommandOptionType } from "discord.js";

export default {
    name: `edit`,
    description: `This must be ran in the same channel as the message.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `message-id`,
            description: `ID of the message to edit`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `content`,
            description: `New message content. Use \\n to add a new line.`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async execute(interaction, client)
    {
        await interaction.deferReply({ ephemeral: true });

        const messageToEdit = interaction.options.getString(`message-id`);
        let content = interaction.options.getString(`content`);
        content = content.replace(/\\n/g, `\n`);

        var message = await client.channels.cache.get(interaction.channel.id).messages.fetch(messageToEdit);
        if (!message)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].couldntEditMessage }`);
        if (message.author.id === client.user.id && content.length <= 2000)
        {
            message.edit(content);
            interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
        }
        else
            interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].couldntEditMessage }`);
    }
};
