import { ApplicationCommandOptionType, ChannelType } from "discord.js";
import embed from "../../commands/utility/embed.js";

export default {
    name: `embed`,
    description: `Sends an embed.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `channel`,
            description: `The channel to send the embed to.`,
            type: ApplicationCommandOptionType.Channel,
            channelTypes: [ChannelType.GuildText],
            required: true,
        },
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });
        const channel = interaction.options.getChannel(`channel`);

        embed.embedGenerator(interaction, true, channel.id, Discord);

        return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
