import SQLite from "better-sqlite3";
import { ApplicationCommandOptionType } from "discord.js";
import giveaway from "../../../../utils/giveaway.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `forceend`,
    description: `Forces a giveaway to end.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `messageid`,
            description: `The message ID of the giveaway to force end.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
    ],

    async callback(interaction, client, Discord)
    {
        const messageid = interaction.options.getString(`messageid`);
        const giveawayMeta = await sql.prepare(`SELECT * FROM giveaways WHERE messageid = ?`).get(messageid);
        if (!giveawayMeta)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].cantFindGiveaway }`);

        sql.prepare(`UPDATE giveaways SET time = ? WHERE messageid = ?`).run(`1.0`, messageid);
        giveaway.checkActiveGiveaway(messageid, client, Discord);

        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
