import SQLite from "better-sqlite3";
import { ApplicationCommandOptionType } from "discord.js";

const sql = new SQLite(`./src/db.sqlite`);

export default {
    name: `reroll`,
    description: `Reroll a giveaway`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `messageid`,
            description: `The message ID of the giveaway to reroll.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `amount-of-rerolls`,
            description: `How many winners should be rerolled?`,
            type: ApplicationCommandOptionType.Number,
            /* eslint-disable camelcase */
            min_value: 1,
            max_value: 100,
            /* eslint-enable camelcase */
            required: true
        },

    ],

    async callback(interaction)
    {
        const messageid = interaction.options.getString(`messageid`);
        const amountOfWinners = interaction.options.getNumber(`amount-of-rerolls`);
        const giveawayMeta = await sql.prepare(`SELECT userId FROM giveawayEntries WHERE messageid = ${ messageid }`).raw().all().flat();
        if (!giveawayMeta)
            return interaction.followUp(`Couldn't find any entries with that message ID.\nDid anyone enter?`);

        const winners = [];
        for (let index = 0; index < amountOfWinners; index++)
        {
            const winner = giveawayMeta[Math.floor(Math.random() * giveawayMeta.length)];
            if (winner !== undefined)
            {
                winners.push(`<@!${ winner }>`);
                giveawayMeta.splice(giveawayMeta.indexOf(winner), 1);
            }
        }

        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id)].giveawayRerolled } ${ winners.join(`, `) }`);
    }
};
