import { ApplicationCommandOptionType } from "discord.js";
import { respond } from "../../commands/utility/manually-respond.js";

export default {
    name: `respond`,
    description: `In case the bot does not trigger, force a response.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `trigger`,
            description: `Which response trigger to send the response of`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `messageid`,
            description: `Reply to a specific message.`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const trigger = interaction.options.getString(`trigger`);
        const messageID = interaction.options.getString(`messageid`);

        respond(interaction, true, trigger, interaction.user.id, messageID, Discord);
    }
};
