import { ApplicationCommandOptionType } from "discord.js";
import { getAVI } from "../../commands/utility/pfp.js";

export default {
    name: `pfp`,
    description: `Returns a users avatar.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `user`,
            description: `Which user`,
            type: ApplicationCommandOptionType.User,
            required: false
        }
    ],

    async execute(interaction, client)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);

        if (!user)
        {
            const self = await client.users.fetch(interaction.member.id, true);
            return getAVI(interaction, true, self);
        }

        const member = await client.users.fetch(user.id, true);
        await getAVI(interaction, true, member);
    }
};
