import sale from "../../commands/utility/sale.js";
import common from "../../../utils/common.js";

export default {
    name: `sale`,
    description: `Check if MW2 is on sale`,
    elevatedOnly: true,
    defaultMemberPermissions: [`SendMessages`],

    async execute(interaction, client)
    {
        await interaction.deferReply({ ephemeral: true });

        const guildId = client.channels.cache.get(interaction.channel.id).guild.id;
        const { ITADAPIKey } = common.getGuildConfig(guildId);

        if (!ITADAPIKey
            || ITADAPIKey.length === 0)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].itadNoKey }`);

        await sale.checkSteamMW2Sale(interaction.channel.id, client, false);

        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
