import { ApplicationCommandOptionType } from "discord.js";
import { say } from "../../commands/utility/say.js";

export default {
    name: `say`,
    description: `Supports up to 10 images + content.`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `message`,
            description: `Message to send. Use \\n to add a new line.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `messageid`,
            description: `Reply to a specific message.`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async execute(interaction)
    {
        await interaction.deferReply({ ephemeral: true });

        let message = interaction.options.getString(`message`); // hacky workaround lol
        const messageID = interaction.options.getString(`messageid`);
        message = message.replace(/\\n/g, `\n`);

        if (messageID)
            say(interaction, true, message, messageID);
        else
            say(interaction, true, message);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
