import { ApplicationCommandOptionType } from "discord.js";
import common from "../../../utils/common.js";

export default {
    name: `suggest`,
    description: `Suggest something`,
    defaultMemberPermissions: [`KickMembers`],
    options: [
        {
            name: `suggestion`,
            description: `Your suggestion`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async execute(interaction, client)
    {
        await interaction.deferReply({ ephemeral: true });

        const suggestion = interaction.options.getString(`suggestion`);

        if (suggestion.length > 2000)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].sugTooLong }`);

        const guildId = interaction.guild.id;
        const { suggestionChannelID } = common.getGuildConfig(guildId);

        if (!suggestionChannelID
            || suggestionChannelID.length < 10)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].suggestionSetup }`);

        const votingChannel = client.channels.cache.get(suggestionChannelID);
        if (!votingChannel)
            return interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].invalidSugChan }`);
        votingChannel.send(suggestion).then((message) =>
        {
            message.react(`👍`);
            message.react(`👎`);
        });
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
