import SQLite from "better-sqlite3";
import unban from "../commands/commands/moderation/unban.js";
import common from "../utils/common.js";

const sql = new SQLite(`./src/db.sqlite`);

/**
 * @name guildBanRemove
 * @description Event that fires when a user is unbanned from a guild.
 */
export default {
    name: `guildBanRemove`,
    /**
     * @param {*} data Data Object from Discord API.
     * @param {*} Discord The Discord Object.
     * @param {*} client The client object.
     */
    async execute(data, Discord, client)
    {
        // audit log code
        await common.sleep(3000); // delay to get audit log entry
        await unban.guildBanRemoveEvent(Discord, client, data);
        const row = sql.prepare(`SELECT * FROM tempbanUsers WHERE guildId = ? AND userId = ?`).get(data.guild.id, data.user.id);
        if (row)
            sql.prepare(`DELETE FROM tempbanUsers WHERE guildId = ? AND userId = ?`).run(data.guild.id, data.user.id);

        // if they are muted, let's remove their mutes as so
        const databaseMuted = sql.prepare(`SELECT * FROM mutes WHERE guildId = ? and userId = ?`).get(data.guild.id, data.user.id);
        if (databaseMuted) // i think a simple delete from db is all we need?
            sql.prepare(`DELETE FROM mutes WHERE guildId = ? AND userId = ?`).run(data.guild.id, data.user.id);
    }
};
