import { invites } from "./ready.js";

/**
 * @name inviteCreate
 * @description Event that fires when an invite is created.
 */
export default {
    name: `inviteCreate`,
    /**
     * @param {object} invite The invite object.
     */
    async execute(invite)
    {
        // Update cache on new invites
        invites.get(invite.guild.id).set(invite.code, invite.uses);
    }
};
