import logging from "../utils/logging.js";
import { freshBootCheck } from "./guildCreate.js";

/**
 * @name raw
 * @description Handles raw discord data packets.
 */
export default {
    name: `raw`,
    /**
     * @param {*} data The raw data packet.
     */
    execute(data)
    {
        if (data.t !== null && data.t !== undefined)
            logging.log(`[RAW] ${ data.t }`);

        // guild configuration
        if (data.t === `GUILD_CREATE` && data.d.id)
            freshBootCheck(data.d);
    }
};
