import common from "../utils/common.js";
// import mute from "../commands/commands/moderation/mute.js";

/**
 * @name voiceStateUpdate
 * @description Event that fires when a user changes voice state (mute/deafen/join/leave).
 */
export default {
    name: `voiceStateUpdate`,
    /**
     * @param {Discord.GuildMember} oldMember The old member object.
     * @param {Discord.GuildMember} newMember The new member object.
     * @param {*} Discord The Discord Object.
     * @param {*} client The client object.
     */
    async execute(oldMember, newMember, Discord, client)
    {
        const guildMember = await client.guilds.cache.get(`${ newMember.guild.id }`).members.cache.get(`${ newMember.id }`);
        await common.checkName(Discord, client, guildMember);
        // await mute.checkLTAPStatus(Discord, client, newMember.guild.id, guildMember);
    }
};
