// This script generates a blank "db.sqlite" file in ./src directory.
// This can be ignored, as it is required when hot-loading commands.

/* eslint-disable no-restricted-syntax */
import fs from "node:fs";

fs.mkdirSync(`./src`, { recursive: true });

let array = [];
const commandFolders = fs.readdirSync(`../commands/slash_commands`);
for (const folder of commandFolders)
{
    const commandFiles = fs.readdirSync(`../commands/slash_commands/${ folder }`).filter((file) => file.endsWith(`.js`));
    let command;
    for (const file of commandFiles)
    {
        try
        {
            command = await import(`../commands/slash_commands/${ folder }/${ file }`);
            command = command.default || command;
        }
        catch
        {
            // no errors
        }
        if (command.name)
        {
            let commandName = `${ command.name }CommandName`;
            commandName = commandName.replaceAll(` `, `_`);
            // console.log(`    "${ commandName }": "${ command.name }",`);
            array.push(`    "${ commandName }": "${ command.name }",`);
        }
        if (command.description)
        {
            const commandDescription = `${ command.name }CommandDescription`;
            let realCommandDescription = command.description;
            realCommandDescription = realCommandDescription.replaceAll(`"`, `\\"`);
            // console.log(`    "${ commandDescription }": "${ realCommandDescription }",`);
            array.push(`    "${ commandDescription }": "${ realCommandDescription }",`);
        }
        if (command.options)
        {
            for (let index = 0; index < command.options.length; index++)
            {
                const option = command.options[index];
                let optionName = `${ command.name }OptionName${ index }`;
                optionName = optionName.replaceAll(` `, `_`);
                // console.log(`    "${ optionName }": "${ option.name }",`);
                array.push(`    "${ optionName }": "${ option.name }",`);
                const optionDescription = `${ command.name }OptionDescription${ index }`;
                let realOptionDescription = option.description;
                realOptionDescription = realOptionDescription.replaceAll(`"`, `\\"`);
                // console.log(`    "${ optionDescription }": "${ realOptionDescription }",`);
                array.push(`    "${ optionDescription }": "${ realOptionDescription }",`);
            }
        }
    }
}

array = [...new Set(array)];
array = array.join(`\n`);
console.log(array);
