import fs from "node:fs";

const commandFolders = fs.readdirSync(`../commands/`);
const commands = [];
for (const typeOfCommand of commandFolders)
{
    const commandTypes = fs.readdirSync(`../commands/${ typeOfCommand }`);
    for (const category of commandTypes)
    {
        const commandFiles = fs.readdirSync(`../commands/${ typeOfCommand }/${ category }`);
        for (const file of commandFiles)
        {
            if (file.endsWith(`.js`))
            {
                const commandName = file.replace(`.js`, ``);
                commands.push(`${ commandName }`);
            }
        }
    }
}

commands.sort();
const uniqueCommands = [];
for (const command of commands)
{
    if (!uniqueCommands.includes(command))
        uniqueCommands.push(command);
}

// eslint-disable-next-line no-restricted-syntax
console.log(uniqueCommands.join(`\n`));
