export default {
    /**
     * @name getUserFromMention
     * @description Returns the user ID of the user mentioned.
     * @param {string} mention The mention to get the user ID from.
     * @returns {undefined} The user ID of the user mentioned.
     */
    getUserFromMention(mention)
    {
        if (!mention) return;
        if (mention.startsWith(`<@`) && mention.endsWith(`>`))
        {
            mention = mention.slice(2, -1);
            if (mention.startsWith(`!`))
                mention = mention.slice(1);
            return mention;
        }
    }
};
