export default {
    category: `Commands`,
    subTitle: `These commands are for the legacy chat commands. If you are using slash commands just use the Discord help.`,
    aliasesDisabled: false,
    list: [
        {
            commandName: `ban`,
            commandUsage: `ban @User|ID reason, ban @User|ID time reason (time can be 1d or 1h30m. valid times: y, mo, w, d, h, m, s)`,
            commandDescription: `Permanently bans a user.`,
            commandAlias: `b`
        },
        {
            commandName: `softban`,
            commandUsage: `softban @User|ID reason`,
            commandDescription: `Bans, then unbans user. Think of this as a "super prune + kick"`,
            commandAlias: `sb`,
        },
        {
            commandName: `unban`,
            commandUsage: `unban ID reason`,
            commandDescription: `Unbans a user.`,
            commandAlias: `ub`,
        },
        {
            commandName: `banlist`,
            commandUsage: `banlist`,
            commandDescription: `Shows the amount of bans in the server.`,
            commandAlias: `bl`,
        },
        {
            commandName: `kick`,
            commandUsage: `kick @User|ID reason`,
            commandDescription: `Kicks a user.`,
            commandAlias: `k`,
        },
        {
            commandName: `warn`,
            commandUsage: `warn @User|ID reason`,
            commandDescription: `Warns a user.`,
            commandAlias: `w`,
        },
        {
            commandName: `clearwarn`,
            commandUsage: `clearwarn @User|ID reason`,
            commandDescription: `Clears a user's warnings.`,
            commandAlias: `cw, clearwarns, warnclear, wc, warnsclear`,
        },
        {
            commandName: `mute`,
            commandUsage: `mute @User|ID reason, mute @User|ID time reason (time can be 1d or 1h30m. valid times: y, mo, w, d, h, m, s)`,
            commandDescription: `Mutes a user. If you mute a user who is already muted, it will ADD the time to their mute.`,
            commandAlias: `m`,
        },
        {
            commandName: `duration`,
            commandUsage: `duration @User|ID time reason (time can be 1d or 1h30m. valid times: y, mo, w, d, h, m, s)`,
            commandDescription: `Edit a punishment time.`,
            commandAlias: `n/a`,
        },
        {
            commandName: `unmute`,
            commandUsage: `unmute @User|ID reason`,
            commandDescription: `Unmutes a user.`,
            commandAlias: `um`,
        },
        {
            commandName: `mutelist`,
            commandUsage: `mutelist`,
            commandDescription: `Shows the amount of mutes in the server.`,
            commandAlias: `ml`,
        },
        {
            commandName: `prune`,
            commandUsage: `prune amount reason, prune @User amount reason, prune after msgId reason`,
            commandDescription: `Clear X amount of messages, either in general, for a specific user, or after a certain Message ID.`,
            commandAlias: `p, purge`,
        },
        {
            commandName: `nick`,
            commandUsage: `nick @User|ID New Name`,
            commandDescription: `Change a users nickname.`,
            commandAlias: `n`,
        },
        {
            commandName: `lookup`,
            commandUsage: `lookup @User|ID`,
            commandDescription: `Lookup information about a user. Shows their Discrim, ID, Join Date, Bot Status, Account Creation, any roles they have, and punishment history.`,
            commandAlias: `l, info, uinfo, userinfo, history`,
        },
        {
            commandName: `serverinfo`,
            commandUsage: `serverinfo`,
            commandDescription: `Lookup information about the current server. Shows Guild ID, Owner Discrim & ID, Member Count, Channel Count, Role Count, Emoji Count, and Creation Date.`,
            commandAlias: `sinfo, guildinfo`,
        },
        {
            commandName: `lockdown`,
            commandUsage: `lockdown reason, lockdown end reason, lockdown #channel reason, lockdown end #channel reason`,
            commandDescription: `Prevent @everyone from typing in all channels specified in the configuration. If a channel is specified, only lock that channel. Administrator only.`,
            commandAlias: `lock`,
        },
        {
            commandName: `slowmode`,
            commandUsage: `slowmode 6h reason, slowmode reason (disables)`,
            commandDescription: `Change slowmode of the channel you run this in.`,
            commandAlias: `slow`,
        },
        {
            commandName: `suggest`,
            commandUsage: `suggest the idea`,
            commandDescription: `Takes any argument and puts it in suggestion channel, as well as react with thumbs up/down.`,
            commandAlias: `sg`,
        },
        {
            commandName: `respond`,
            commandUsage: `respond trigger`,
            commandDescription: `In case the bot does not trigger, force a response. Note that both regional / non-regional triggers are checked.`,
            commandAlias: `r`,
        },
        {
            commandName: `pfp`,
            commandUsage: `pfp @User|ID`,
            commandDescription: `Shows a user's profile picture.`,
            commandAlias: `avatar, avi`,
        },
        {
            commandName: `say`,
            commandUsage: `say message`,
            commandDescription: `Makes the bot say something. You can add images by linking to a direct image host. (Imgur)`,
            commandAlias: `s`,
        },
        {
            commandName: `edit`,
            commandUsage: `edit messageID new message`,
            commandDescription: `Edits a message. Note: Must be ran in the same channel as the message.`,
            commandAlias: `e`,
        },
        {
            commandName: `note`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove a note from a user.`,
            commandAlias: `notes`,
        },
        {
            commandName: `autoreply`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove/List autoreplies.`,
            commandAlias: `ar`,
        },
        {
            commandName: `badword`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove/List bad words.`,
            commandAlias: `badwords, banword, banwords, bannedword, bannedwords`,
        },
        {
            commandName: `links`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove/List allowed links. Note: Adding a * allows any link to be sent.`,
            commandAlias: `link`,
        },
        {
            commandName: `autoban`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove/List auto banned phrases.`,
            commandAlias: `ab`,
        },
        {
            commandName: `alloweddiscord`,
            commandUsage: `[You're better off looking at the Slash Commands for this.]`,
            commandDescription: `Add/Remove/List discord invites to list.`,
            commandAlias: `ad`,
        },
        {
            commandName: `ping`,
            commandUsage: `ping`,
            commandDescription: `Shows the bot's ping.`,
            commandAlias: `n/a`,
        },
        {
            commandName: `en`,
            commandUsage: `en some text`,
            commandDescription: `Translates some text to English.`,
            commandAlias: `n/a`,
        },
        {
            commandName: `membercount`,
            commandUsage: `membercount`,
            commandDescription: `Shows increase/decrease in member count since the last time this command was ran.`,
            commandAlias: `mc, members, membercounts`,
        },
        {
            commandName: `sale`,
            commandUsage: `sale`,
            commandDescription: `Checks if MW2 is on sale. Note: We automatically check and send in general every 4h.`,
            commandAlias: `n/a`,
        },
        {
            commandName: `schedule`,
            commandUsage: `schedule epochTime #channel message content`,
            commandDescription: `Schedules a message to be sent at a specific time.`,
            commandAlias: `n/a`,
        },
        {
            commandName: `remindme`,
            commandUsage: `remindme time message (time can be 1d or 1h30m. valid times: y, mo, w, d, h, m, s)`,
            commandDescription: `Reminds you of something.`,
            commandAlias: `remind`,
        },
        {
            commandName: `embed`,
            commandUsage: `embed #channel`,
            commandDescription: `Sends an embed wizard that will end up sending an embed in #channel.`,
            commandAlias: `n/a`,
        },
    ],
};
