/* eslint-disable no-undef */
/**
 *
 */
function updateTime()
{
    var date = $(`#datepicker`).val();
    var time = $(`#timepicker`).val();
    var comb = new Date(`${ date } ${ time }`);
    var epoch = comb.getTime();
    if (date !== `` && time !== `` && epoch !== `` && epoch > 0)
        $(`#readonly`).show();
    else
        $(`#readonly`).hide();
    var hours = comb.getHours();
    var minutes = comb.getMinutes();
    if (minutes < 10)
        minutes = `0${ minutes }`;
    var seconds = comb.getSeconds();
    if (seconds < 10)
        seconds = `0${ seconds }`;
    var day = comb.getDate();
    var month = comb.getMonth() + 1;
    var year = comb.getFullYear();
    $(`#epoch`).val(epoch);
    var months = [`January`, `February`, `March`, `April`, `May`, `June`, `July`, `August`, `September`, `October`, `November`, `December`];
    var days = [`Sunday`, `Monday`, `Tuesday`, `Wednesday`, `Thursday`, `Friday`, `Saturday`];
    var ampm = `AM`;
    if (hours > 12)
    {
        hours -= 12;
        ampm = `PM`;
    }
    $(`#discord`).val((`<t:${ epoch / 1000 }>`));
    $(`#discord_rel`).val((`<t:${ epoch / 1000 }:R>`));
    var fullDate = (`${ months[month - 1] } ${ day }, ${ year } ${ hours }:${ minutes } ${ ampm }`);
    $(`#fullDate`).val(fullDate);
    var dayB4Full = (`${ days[comb.getDay()] }, ${ fullDate }`);
    $(`#dayB4Full`).val(dayB4Full);
    $(`#dayB4Discord`).val((`<t:${ epoch / 1000 }:F>`));
    var longDate = (`${ months[month - 1] } ${ day }, ${ year }`);
    $(`#longDate`).val(longDate);
    $(`#longDateDiscord`).val((`<t:${ epoch / 1000 }:D>`));
    if (month < 10)
        month = `0${ month }`;
    $(`#shortDate`).val((`${ month }/${ day }/${ year }`));
    $(`#shortDateDiscord`).val((`<t:${ epoch / 1000 }:d>`));
    $(`#longTime`).val((`${ hours }:${ minutes }:${ seconds } ${ ampm }`));
    $(`#longTimeDiscord`).val((`<t:${ epoch / 1000 }:T>`));
    $(`#shortTime`).val((`${ hours }:${ minutes } ${ ampm }`));
    $(`#shortTimeDiscord`).val((`<t:${ epoch / 1000 }:t>`));

    if (epoch < Date.now())
        $(`#relTime`).val(`X minutes ago`);
    else
        $(`#relTime`).val(`in X minutes`);
}

$(document).ready(() =>
{
    // html elements that are in the innerHTML
    /* eslint-disable no-unused-vars */
    const datepicker = `<input type="text" class="datepicker" id="datepicker">`;
    const timepicker = `<input type="text" class="timepicker" id="timepicker">`;
    /* eslint-enable no-unused-vars */

    // load locale here

    document.title = document.querySelector(`#epochTimeGenerator`).innerHTML;

    $(`input.timepicker`).timepicker({});
    $(`#datepicker`).change(updateTime);
    $(`#timepicker`).change(updateTime);
    updateTime();
    setInterval(updateTime, 500);
});

$(() =>
{
    $(`#datepicker`).datepicker();
    // Put the current date into #datepicker.
    $(`#datepicker`).datepicker(`setDate`, new Date());
    // On click of anything with the class of "copy", copy everything inside the input field to clipboard
    $(`body`).on(`click`, `.copy`, async function ()
    {
        const input = $(this).closest(`input`);
        input.select();

        try
        {
            await navigator.clipboard.writeText(input[0].value);
        }
        catch (error)
        {
            console.error(error);
        }
    });
});
